diff -ruN --exclude=.svn simon/debian/changelog ../trunk/debian/changelog
--- simon/debian/changelog	2008-01-09 09:33:33.000000000 +0100
+++ ../trunk/debian/changelog	2008-01-09 18:00:48.000000000 +0100
@@ -1,6 +1,18 @@
-misdn-kernel (1.1.6-1) experimental; urgency=low
+misdn-kernel (1.1.7-1.1) experimental; urgency=low
 
+  * Non-maintainer upload.
   * New upstream release
+  * added new misdn-config package
+  * added patch from upstream fixing build on 2.6.23
+  * added patch to use perms compatible with asterisk
+  * added CONFIGS variable to rules-template. Removed exports
+  * added MISDNVERSION variable to rules-template.
+
+ -- Victor Seva <linuxmaniac@torreviejawireless.org>  Wed,  9 Jan 2008 18:00:44 +0100
+
+misdn-kernel (1.1.6-1) experimental; urgency=low
+
+  * New upstream release  
   * Add missing dependency misdn-source -> debhelper
 
  -- Simon Richter <sjr@debian.org>  Sun, 04 Nov 2007 02:03:05 +0100
diff -ruN --exclude=.svn simon/debian/control ../trunk/debian/control
--- simon/debian/control	2008-01-09 09:33:33.000000000 +0100
+++ ../trunk/debian/control	2008-01-09 18:07:44.000000000 +0100
@@ -2,15 +2,15 @@
 Section: comm
 Priority: extra
 Maintainer: Simon Richter <sjr@debian.org>
-Build-Depends: debhelper (>= 5.0.0)
+Build-Depends: debhelper (>= 5.0.0), dpatch
 Standards-Version: 3.7.2
 
 Package: misdn-source
 Architecture: all
 Depends: make, debhelper (>> 4)
 Recommends: module-assistant | kernel-package
-Conflicts: misdn-kernel-source (<< ${source:Version})
-Replaces: misdn-kernel-source (<< ${source:Version})
+Conflicts: misdn-kernel-source (<< ${Source-Version})
+Replaces: misdn-kernel-source (<< ${Source-Version})
 Provides: misdn-kernel-source
 Description: Source code for the mISDN modules
  The modular ISDN drivers are the bleeding edge implementation of ISDN support
@@ -30,3 +30,13 @@
  .
  You need this package if you intend to compile userspace applications that
  access mISDN specific interfaces.
+
+Package: misdn-config
+Architecture: all
+Depends: xsltproc
+Description: init-script to auto-configure and load the mISDN kernel drivers
+ This script makes it easy to configure and activate mISDN compatible
+ adapter cards. It scans an eyecandy config file named mISDN.conf
+ for your card and port settings, then it loads the driver modules properly.
+ The mISDN.conf can also be autogenerated by the mISDN script.
+
diff -ruN --exclude=.svn simon/debian/control-template ../trunk/debian/control-template
--- simon/debian/control-template	2008-01-09 09:33:33.000000000 +0100
+++ ../trunk/debian/control-template	2008-01-09 18:09:26.000000000 +0100
@@ -7,6 +7,7 @@
 Package: misdn-modules-@@Kernel-Version@@
 Architecture: any
 Provides: misdn-modules
+Depends: bc, pciutils
 Description: mISDN modules for Linux (kernel @@Kernel-Version@@)
  The modular ISDN drivers are the bleeding edge implementation of ISDN support
  in the Linux kernel. The most prominent new feature is support for ISDN cards
@@ -14,7 +15,7 @@
  .
  This package contains the compiled kernel modules for @@Kernel-Version@@
  .
- If you have compiled your own kernel, you will most likely need to build your
- own mISDN modules.  The misdn-source package has been provided for use with
- module-assistant or make-kpkg to produce a version of misdn-kernel-module for
- your kernel.
+ If you have compiled your own kernel, you will most likely need to build
+ your own misdn-kernel-modules.  The misdn-kernel-source package has been
+ provided for use with the Debian kernel-package utility to produce a version
+ of misdn-kernel-module for your kernel.
diff -ruN --exclude=.svn simon/debian/linux-headers-misdn.install ../trunk/debian/linux-headers-misdn.install
--- simon/debian/linux-headers-misdn.install	2008-01-09 09:33:33.000000000 +0100
+++ ../trunk/debian/linux-headers-misdn.install	2007-12-18 12:15:06.000000000 +0100
@@ -1 +1 @@
-include/linux usr/include
+include/linux/*.h usr/include/linux
diff -ruN --exclude=.svn simon/debian/misdn-config.dirs ../trunk/debian/misdn-config.dirs
--- simon/debian/misdn-config.dirs	1970-01-01 01:00:00.000000000 +0100
+++ ../trunk/debian/misdn-config.dirs	2007-12-18 12:15:06.000000000 +0100
@@ -0,0 +1,2 @@
+usr/sbin/
+usr/lib/mISDN/
\ No hay ningÃºn carÃ¡cter de nueva lÃ­nea al final del fichero
diff -ruN --exclude=.svn simon/debian/misdn-config.install ../trunk/debian/misdn-config.install
--- simon/debian/misdn-config.install	1970-01-01 01:00:00.000000000 +0100
+++ ../trunk/debian/misdn-config.install	2007-12-18 12:15:06.000000000 +0100
@@ -0,0 +1,2 @@
+config/mISDN	usr/sbin/
+config/*.xsl	usr/lib/mISDN/
diff -ruN --exclude=.svn simon/debian/patches/00list ../trunk/debian/patches/00list
--- simon/debian/patches/00list	1970-01-01 01:00:00.000000000 +0100
+++ ../trunk/debian/patches/00list	2008-01-08 18:39:52.000000000 +0100
@@ -0,0 +1,2 @@
+perms_dev_mISDN
+buildfix_2.6.23
diff -ruN --exclude=.svn simon/debian/patches/buildfix_2.6.23.dpatch ../trunk/debian/patches/buildfix_2.6.23.dpatch
--- simon/debian/patches/buildfix_2.6.23.dpatch	1970-01-01 01:00:00.000000000 +0100
+++ ../trunk/debian/patches/buildfix_2.6.23.dpatch	2008-01-09 17:53:29.000000000 +0100
@@ -0,0 +1,94 @@
+#! /bin/sh /usr/share/dpatch/dpatch-run
+## buildfix_2.6.23.dpatch by Victor Seva <linuxmaniac@torreviejawireless.org>
+##
+## All lines beginning with `## DP:' are a description of the patch.
+## DP: Fixed issue that mISDN doesn't compile with kernels >=2.6.23
+
+@DPATCH@
+diff -urNad misdn-kernel-1.1.7~/drivers/isdn/hardware/mISDN/capi.c misdn-kernel-1.1.7/drivers/isdn/hardware/mISDN/capi.c
+--- misdn-kernel-1.1.7~/drivers/isdn/hardware/mISDN/capi.c	2008-01-09 12:46:28.000000000 +0100
++++ misdn-kernel-1.1.7/drivers/isdn/hardware/mISDN/capi.c	2008-01-09 13:02:07.000000000 +0100
+@@ -258,7 +258,11 @@
+ #else
+ 				sizeof(_cmsg),
+ #endif
+-				0, 0, NULL, NULL);
++				0, 0, NULL
++#ifdef MISDN_COMPAT_KMEMCACHE
++				, NULL
++#endif
++				);
+ 	if (!mISDN_cmsg_cp) {
+ 		CapiCachesFree();
+ 		return(-ENOMEM);
+@@ -269,7 +273,12 @@
+ #else
+ 				sizeof(AppPlci_t),
+ #endif
+-				0, 0, NULL, NULL);
++				0, 0, NULL
++#ifdef MISDN_COMPAT_KMEMCACHE
++				, NULL
++#endif
++				);
++
+ 	if (!mISDN_AppPlci_cp) {
+ 		CapiCachesFree();
+ 		return(-ENOMEM);
+@@ -280,7 +289,11 @@
+ #else
+ 				sizeof(Ncci_t),
+ #endif
+-				0, 0, NULL, NULL);
++				0, 0, NULL
++#ifdef MISDN_COMPAT_KMEMCACHE
++				, NULL
++#endif
++				);
+ 	if (!mISDN_ncci_cp) {
+ 		CapiCachesFree();
+ 		return(-ENOMEM);
+@@ -291,7 +304,12 @@
+ #else
+ 				sizeof(SSProcess_t),
+ #endif
+-				0, 0, NULL, NULL);
++				0, 0, NULL
++#ifdef MISDN_COMPAT_KMEMCACHE
++				, NULL
++#endif
++				);
++
+ 	if (!mISDN_sspc_cp) {
+ 		CapiCachesFree();
+ 		return(-ENOMEM);
+diff -urNad misdn-kernel-1.1.7~/drivers/isdn/hardware/mISDN/udevice.c misdn-kernel-1.1.7/drivers/isdn/hardware/mISDN/udevice.c
+--- misdn-kernel-1.1.7~/drivers/isdn/hardware/mISDN/udevice.c	2008-01-09 12:46:28.000000000 +0100
++++ misdn-kernel-1.1.7/drivers/isdn/hardware/mISDN/udevice.c	2008-01-09 13:02:07.000000000 +0100
+@@ -2025,9 +2025,8 @@
+ 	if ((err = mISDN_unregister(&udev_obj))) {
+ 		printk(KERN_ERR "Can't unregister UserDevice(%d)\n", err);
+ 	}
+-	if ((err = unregister_chrdev(mISDN_MAJOR, "mISDN"))) {
+-		printk(KERN_WARNING "mISDN: devices busy on remove\n");
+-	}
++	
++	unregister_chrdev(mISDN_MAJOR, "mISDN");
+ #ifdef CONFIG_DEVFS_FS
+ 	devfs_remove("mISDN");
+ #endif
+diff -urNad misdn-kernel-1.1.7~/include/linux/isdn_compat.h misdn-kernel-1.1.7/include/linux/isdn_compat.h
+--- misdn-kernel-1.1.7~/include/linux/isdn_compat.h	2008-01-09 12:46:28.000000000 +0100
++++ misdn-kernel-1.1.7/include/linux/isdn_compat.h	2008-01-09 13:02:07.000000000 +0100
+@@ -124,5 +124,11 @@
+ #include <linux/config.h>
+ #endif
+ 
++#if LINUX_VERSION_CODE < KERNEL_VERSION(2,6,22)
++#define MISDN_COMPAT_KMEMCACHE
++#endif
++
++
++
+ #endif /* __KERNEL__ */
+ #endif /* _LINUX_ISDN_COMPAT_H */
diff -ruN --exclude=.svn simon/debian/patches/perms_dev_mISDN.dpatch ../trunk/debian/patches/perms_dev_mISDN.dpatch
--- simon/debian/patches/perms_dev_mISDN.dpatch	1970-01-01 01:00:00.000000000 +0100
+++ ../trunk/debian/patches/perms_dev_mISDN.dpatch	2007-12-18 12:15:06.000000000 +0100
@@ -0,0 +1,21 @@
+#! /bin/sh /usr/share/dpatch/dpatch-run
+## perms_dev_mISDN.dpatch by  <linuxmaniac@torreviejawireless.org>
+##
+## All lines beginning with `## DP:' are a description of the patch.
+## DP: changed devnode group and mode
+
+@DPATCH@
+diff -urNad misdn-kernel-1.1.2+git20070417~/config/mISDN misdn-kernel-1.1.2+git20070417/config/mISDN
+--- misdn-kernel-1.1.2+git20070417~/config/mISDN	2007-04-17 10:26:15.000000000 +0200
++++ misdn-kernel-1.1.2+git20070417/config/mISDN	2007-04-26 11:58:49.000000000 +0200
+@@ -84,8 +84,8 @@
+ L1OIP_id=''
+ 
+ DEVNODE_user='root'
+-DEVNODE_group='root'
+-DEVNODE_mode='0644'
++DEVNODE_group='dialout'
++DEVNODE_mode='660'
+ 
+ declare -a SCAN_card
+ declare -a SCAN_opts
diff -ruN --exclude=.svn simon/debian/rules ../trunk/debian/rules
--- simon/debian/rules	2008-01-09 09:33:33.000000000 +0100
+++ ../trunk/debian/rules	2008-01-09 17:53:29.000000000 +0100
@@ -3,9 +3,12 @@
 # Uncomment this to turn on verbose mode. 
 #export DH_VERBOSE=1
 
+# dpatch
+include /usr/share/dpatch/dpatch.make
+
 clean:: clean-check
 
-clean-check:
+clean-check: unpatch
 	dh_testdir
 	dh_testroot
 
@@ -60,7 +63,7 @@
 
 build-indep: build-misdn-source
 
-build: build-arch build-indep
+build: patch-stamp build-arch build-indep
 
 binary-indep: build-indep
 	dh_testdir
diff -ruN --exclude=.svn simon/debian/rules-template ../trunk/debian/rules-template
--- simon/debian/rules-template	2008-01-09 09:33:33.000000000 +0100
+++ ../trunk/debian/rules-template	2008-01-09 17:53:29.000000000 +0100
@@ -77,27 +77,33 @@
 #export ARCH
 #endif
 
-EXTRA_CFLAGS = -I$(pwd)/include
+EXTRA_CFLAGS += -I$(pwd)/include
 
 export EXTRA_CFLAGS
 
-CONFIG_MISDN_DRV=m
-ifneq ($(CONFIG_PPC64),y)
-CONFIG_MISDN_AVM_FRITZ=y
-endif
-CONFIG_MISDN_HFCPCI=y
-CONFIG_MISDN_HFCUSB=y
-CONFIG_MISDN_SPEEDFAX=y
-CONFIG_MISDN_W6692=y
-CONFIG_MISDN_HFCMULTI=y
-CONFIG_MISDN_NETJET=y
-CONFIG_MISDN_NETDEV=y
-#CONFIG_I4L_CAPI_LAYER=y
-
-export CONFIG_MISDN_DRV CONFIG_MISDN_AVM_FRITZ CONFIG_MISDN_HFCPCI
-export CONFIG_MISDN_HFCUSB CONFIG_MISDN_SPEEDFAX CONFIG_MISDN_W6692
-export CONFIG_MISDN_HFCMULTI CONFIG_MISDN_NETJET CONFIG_MISDN_NETDEV
-export CONFIG_I4L_CAPI_LAYER
+########################################
+# USER CONFIGS END
+########################################
+
+CONFIGS+=CONFIG_MISDN_DRV=m 
+CONFIGS+=CONFIG_MISDN_DSP=m 
+CONFIGS+=CONFIG_MISDN_HFCMULTI=m 
+CONFIGS+=CONFIG_MISDN_HFCPCI=m
+CONFIGS+=CONFIG_MISDN_HFCUSB=m
+CONFIGS+=CONFIG_MISDN_XHFC=m
+CONFIGS+=CONFIG_MISDN_HFCMINI=m
+CONFIGS+=CONFIG_MISDN_W6692=m
+CONFIGS+=CONFIG_MISDN_SPEEDFAX=m
+CONFIGS+=CONFIG_MISDN_AVM_FRITZ=m
+CONFIGS+=CONFIG_MISDN_NETJET=m
+
+#CONFIGS+=CONFIG_MISDN_NETDEV=y
+
+MAJOR=1
+MINOR=1
+SUBMINOR=7
+
+MISDNVERSION=$(shell echo $(MAJOR)_$(MINOR)_$(SUBMINOR))
 
 kdist: kdist_clean kdist_config kdist_image
 
@@ -121,6 +127,9 @@
 	  M=$M \
 	  $(parallel) \
 	  $(EXTRAV_ARG) \
+	  $(CONFIGS) \
+	  EXTRA_CFLAGS=$(EXTRA_CFLAGS) \
+	  MISDNVERSION=$(MISDNVERSION) \
 	  modules
 
 binary-modules: build-modules
@@ -146,6 +155,5 @@
 debian/control: debian/control.in
 	sed -e 's/@@Kernel\-Version@@/$(non_epoch_version)/' \
 	    debian/control.in > debian/control
-
 binary: binary-indep binary-arch
 .PHONY: build clean binary-indep binary-arch binary install configure binary-modules kdist kdist_config kdist_image kdist_clean
